#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CountQueuingStrategy = 2227,
  CreateOfferRequest = 2248,
  Credential = 2267,
  CredentialsContainer = 2278,
  Crypto = 2299,
  CryptoKey = 2306,
  CustomElementRegistry = 2316,
  CustomEvent = 2338,
  CustomStateSet = 2350,
  DOMException = 2365,
  DOMImplementation = 2378,
  DOMLocalization = 2396,
  DOMMatrix = 2412,
  DOMMatrixReadOnly = 2422,
  DOMParser = 2440,
  DOMPoint = 2450,
  DOMPointReadOnly = 2459,
  DOMQuad = 2476,
  DOMRect = 2484,
  DOMRectList = 2492,
  DOMRectReadOnly = 2504,
  DOMStringList = 2520,
  DOMStringMap = 2534,
  DOMTokenList = 2547,
  DataTransfer = 2560,
  DataTransferItem = 2573,
  DataTransferItemList = 2590,
  DebuggerNotification = 2611,
  DebuggerNotificationObserver = 2632,
  DecompressionStream = 2661,
  DedicatedWorkerGlobalScope = 2681,
  DelayNode = 2708,
  DeprecationReportBody = 2718,
  DeviceAcceleration = 2740,
  DeviceLightEvent = 2759,
  DeviceMotionEvent = 2776,
  DeviceOrientationEvent = 2794,
  DeviceRotationRate = 2817,
  Directory = 2836,
  Document = 2846,
  DocumentFragment = 2855,
  DocumentL10n = 2872,
  DocumentTimeline = 2885,
  DocumentType = 2902,
  DominatorTree = 2915,
  DragEvent = 2929,
  DynamicsCompressorNode = 2939,
  EXT_blend_minmax = 2962,
  EXT_color_buffer_float = 2979,
  EXT_color_buffer_half_float = 3002,
  EXT_depth_clamp = 3030,
  EXT_disjoint_timer_query = 3046,
  EXT_float_blend = 3071,
  EXT_frag_depth = 3087,
  EXT_sRGB = 3102,
  EXT_shader_texture_lod = 3111,
  EXT_texture_compression_bptc = 3134,
  EXT_texture_compression_rgtc = 3163,
  EXT_texture_filter_anisotropic = 3192,
  EXT_texture_norm16 = 3223,
  Element = 3242,
  ElementInternals = 3250,
  EncodedAudioChunk = 3267,
  EncodedVideoChunk = 3285,
  ErrorEvent = 3303,
  Event = 3314,
  EventCallbackDebuggerNotification = 3320,
  EventCounts = 3354,
  EventSource = 3366,
  EventTarget = 3378,
  Exception = 3390,
  ExtendableEvent = 3400,
  ExtendableMessageEvent = 3416,
  ExtensionAlarms = 3439,
  ExtensionBrowser = 3455,
  ExtensionBrowserSettings = 3472,
  ExtensionBrowserSettingsColorManagement = 3497,
  ExtensionDns = 3537,
  ExtensionEventManager = 3550,
  ExtensionMockAPI = 3572,
  ExtensionPort = 3589,
  ExtensionProxy = 3603,
  ExtensionRuntime = 3618,
  ExtensionScripting = 3635,
  ExtensionSetting = 3654,
  ExtensionTest = 3671,
  External = 3685,
  FeaturePolicy = 3694,
  FeaturePolicyViolationReportBody = 3708,
  FetchEvent = 3741,
  FetchObserver = 3752,
  File = 3766,
  FileList = 3771,
  FileReader = 3780,
  FileReaderSync = 3791,
  FileSystem = 3806,
  FileSystemDirectoryEntry = 3817,
  FileSystemDirectoryHandle = 3842,
  FileSystemDirectoryHandle_AsyncIterator = 3868,
  FileSystemDirectoryIterator = 3908,
  FileSystemDirectoryReader = 3936,
  FileSystemEntry = 3962,
  FileSystemFileEntry = 3978,
  FileSystemFileHandle = 3998,
  FileSystemHandle = 4019,
  FileSystemSyncAccessHandle = 4036,
  FileSystemWritableFileStream = 4063,
  Flex = 4092,
  FlexItemValues = 4097,
  FlexLineValues = 4112,
  FluentBundle = 4127,
  FluentBundleAsyncIterator = 4140,
  FluentBundleIterator = 4166,
  FluentPattern = 4187,
  FluentResource = 4201,
  FocusEvent = 4216,
  FontFace = 4227,
  FontFaceSet = 4236,
  FontFaceSetIterator = 4248,
  FontFaceSetLoadEvent = 4268,
  FormData = 4289,
  FormData_Iterator = 4298,
  FormDataEvent = 4316,
  FragmentDirective = 4330,
  FrameCrashedEvent = 4348,
  FrameLoader = 4366,
  GPU = 4378,
  GPUAdapter = 4382,
  GPUAdapterInfo = 4393,
  GPUBindGroup = 4408,
  GPUBindGroupLayout = 4421,
  GPUBuffer = 4440,
  GPUBufferUsage = 4450,
  GPUCanvasContext = 4465,
  GPUColorWrite = 4482,
  GPUCommandBuffer = 4496,
  GPUCommandEncoder = 4513,
  GPUCompilationInfo = 4531,
  GPUCompilationMessage = 4550,
  GPUComputePassEncoder = 4572,
  GPUComputePipeline = 4594,
  GPUDevice = 4613,
  GPUDeviceLostInfo = 4623,
  GPUError = 4641,
  GPUInternalError = 4650,
  GPUMapMode = 4667,
  GPUOutOfMemoryError = 4678,
  GPUPipelineLayout = 4698,
  GPUQuerySet = 4716,
  GPUQueue = 4728,
  GPURenderBundle = 4737,
  GPURenderBundleEncoder = 4753,
  GPURenderPassEncoder = 4776,
  GPURenderPipeline = 4797,
  GPUSampler = 4815,
  GPUShaderModule = 4826,
  GPUShaderStage = 4842,
  GPUSupportedFeatures = 4857,
  GPUSupportedLimits = 4878,
  GPUTexture = 4897,
  GPUTextureUsage = 4908,
  GPUTextureView = 4924,
  GPUUncapturedErrorEvent = 4939,
  GPUValidationError = 4963,
  GainNode = 4982,
  Gamepad = 4991,
  GamepadAxisMoveEvent = 4999,
  GamepadButton = 5020,
  GamepadButtonEvent = 5034,
  GamepadEvent = 5053,
  GamepadHapticActuator = 5066,
  GamepadLightIndicator = 5088,
  GamepadPose = 5110,
  GamepadServiceTest = 5122,
  GamepadTouch = 5141,
  Geolocation = 5154,
  GeolocationCoordinates = 5166,
  GeolocationPosition = 5189,
  GeolocationPositionError = 5209,
  GetUserMediaRequest = 5234,
  GleanBoolean = 5254,
  GleanCategory = 5267,
  GleanCounter = 5281,
  GleanCustomDistribution = 5294,
  GleanDatetime = 5318,
  GleanDenominator = 5332,
  GleanEvent = 5349,
  GleanImpl = 5360,
  GleanLabeled = 5370,
  GleanMemoryDistribution = 5383,
  GleanMetric = 5407,
  GleanNumerator = 5419,
  GleanObject = 5434,
  GleanPingsImpl = 5446,
  GleanQuantity = 5461,
  GleanRate = 5475,
  GleanString = 5485,
  GleanStringList = 5497,
  GleanText = 5513,
  GleanTimespan = 5523,
  GleanTimingDistribution = 5537,
  GleanUrl = 5561,
  GleanUuid = 5570,
  Grid = 5580,
  GridArea = 5585,
  GridDimension = 5594,
  GridLine = 5608,
  GridLines = 5617,
  GridTrack = 5627,
  GridTracks = 5637,
  HTMLAllCollection = 5648,
  HTMLAnchorElement = 5666,
  HTMLAreaElement = 5684,
  HTMLAudioElement = 5700,
  HTMLBRElement = 5717,
  HTMLBaseElement = 5731,
  HTMLBodyElement = 5747,
  HTMLButtonElement = 5763,
  HTMLCanvasElement = 5781,
  HTMLCollection = 5799,
  HTMLDListElement = 5814,
  HTMLDataElement = 5831,
  HTMLDataListElement = 5847,
  HTMLDetailsElement = 5867,
  HTMLDialogElement = 5886,
  HTMLDirectoryElement = 5904,
  HTMLDivElement = 5925,
  HTMLDocument = 5940,
  HTMLElement = 5953,
  HTMLEmbedElement = 5965,
  HTMLFieldSetElement = 5982,
  HTMLFontElement = 6002,
  HTMLFormControlsCollection = 6018,
  HTMLFormElement = 6045,
  HTMLFrameElement = 6061,
  HTMLFrameSetElement = 6078,
  HTMLHRElement = 6098,
  HTMLHeadElement = 6112,
  HTMLHeadingElement = 6128,
  HTMLHtmlElement = 6147,
  HTMLIFrameElement = 6163,
  HTMLImageElement = 6181,
  HTMLInputElement = 6198,
  HTMLLIElement = 6215,
  HTMLLabelElement = 6229,
  HTMLLegendElement = 6246,
  HTMLLinkElement = 6264,
  HTMLMapElement = 6280,
  HTMLMarqueeElement = 6295,
  HTMLMediaElement = 6314,
  HTMLMenuElement = 6331,
  HTMLMetaElement = 6347,
  HTMLMeterElement = 6363,
  HTMLModElement = 6380,
  HTMLOListElement = 6395,
  HTMLObjectElement = 6412,
  HTMLOptGroupElement = 6430,
  HTMLOptionElement = 6450,
  HTMLOptionsCollection = 6468,
  HTMLOutputElement = 6490,
  HTMLParagraphElement = 6508,
  HTMLParamElement = 6529,
  HTMLPictureElement = 6546,
  HTMLPreElement = 6565,
  HTMLProgressElement = 6580,
  HTMLQuoteElement = 6600,
  HTMLScriptElement = 6617,
  HTMLSelectElement = 6635,
  HTMLSlotElement = 6653,
  HTMLSourceElement = 6669,
  HTMLSpanElement = 6687,
  HTMLStyleElement = 6703,
  HTMLTableCaptionElement = 6720,
  HTMLTableCellElement = 6744,
  HTMLTableColElement = 6765,
  HTMLTableElement = 6785,
  HTMLTableRowElement = 6802,
  HTMLTableSectionElement = 6822,
  HTMLTemplateElement = 6846,
  HTMLTextAreaElement = 6866,
  HTMLTimeElement = 6886,
  HTMLTitleElement = 6902,
  HTMLTrackElement = 6919,
  HTMLUListElement = 6936,
  HTMLUnknownElement = 6953,
  HTMLVideoElement = 6972,
  HashChangeEvent = 6989,
  Headers = 7005,
  Headers_Iterator = 7013,
  HeapSnapshot = 7030,
  Highlight = 7043,
  HighlightRegistry = 7053,
  History = 7071,
  IDBCursor = 7079,
  IDBCursorWithValue = 7089,
  IDBDatabase = 7108,
  IDBFactory = 7120,
  IDBIndex = 7131,
  IDBKeyRange = 7140,
  IDBObjectStore = 7152,
  IDBOpenDBRequest = 7167,
  IDBRequest = 7184,
  IDBTransaction = 7195,
  IDBVersionChangeEvent = 7210,
  IIRFilterNode = 7232,
  IOUtils = 7246,
  IdentityCredential = 7254,
  IdleDeadline = 7273,
  Image = 7286,
  ImageBitmap = 7292,
  ImageBitmapRenderingContext = 7304,
  ImageCapture = 7332,
  ImageCaptureError = 7345,
  ImageCaptureErrorEvent = 7363,
  ImageData = 7386,
  ImageDecoder = 7396,
  ImageDocument = 7409,
  ImageTrack = 7423,
  ImageTrackList = 7434,
  InputEvent = 7449,
  InspectorCSSParser = 7460,
  InspectorFontFace = 7479,
  InspectorUtils = 7497,
  InstallTriggerImpl = 7512,
  IntersectionObserver = 7531,
  IntersectionObserverEntry = 7552,
  IntlUtils = 7578,
  InvokeEvent = 7588,
  JSProcessActorChild = 7600,
  JSProcessActorParent = 7620,
  JSWindowActorChild = 7641,
  JSWindowActorParent = 7660,
  KeyEvent = 7680,
  KeyboardEvent = 7689,
  KeyframeEffect = 7703,
  L10nFileSource = 7718,
  L10nOverlays = 7733,
  L10nRegistry = 7746,
  LargestContentfulPaint = 7759,
  LegacyMozTCPSocket = 7782,
  Localization = 7801,
  Location = 7814,
  Lock = 7823,
  LockManager = 7828,
  MIDIAccess = 7840,
  MIDIConnectionEvent = 7851,
  MIDIInput = 7871,
  MIDIInputMap = 7881,
  MIDIMessageEvent = 7894,
  MIDIOutput = 7911,
  MIDIOutputMap = 7922,
  MIDIPort = 7936,
  MLS = 7945,
  MLSGroupView = 7949,
  MOZ_debug = 7962,
  MatchGlob = 7972,
  MatchPattern = 7982,
  MatchPatternSet = 7995,
  MathMLElement = 8011,
  MediaCapabilities = 8025,
  MediaControlService = 8043,
  MediaController = 8063,
  MediaDeviceInfo = 8079,
  MediaDevices = 8095,
  MediaElementAudioSourceNode = 8108,
  MediaEncryptedEvent = 8136,
  MediaError = 8156,
  MediaKeyError = 8167,
  MediaKeyMessageEvent = 8181,
  MediaKeySession = 8202,
  MediaKeyStatusMap = 8218,
  MediaKeyStatusMap_Iterator = 8236,
  MediaKeySystemAccess = 8263,
  MediaKeys = 8284,
  MediaList = 8294,
  MediaMetadata = 8304,
  MediaQueryList = 8318,
  MediaQueryListEvent = 8333,
  MediaRecorder = 8353,
  MediaRecorderErrorEvent = 8367,
  MediaSession = 8391,
  MediaSource = 8404,
  MediaStream = 8416,
  MediaStreamAudioDestinationNode = 8428,
  MediaStreamAudioSourceNode = 8460,
  MediaStreamError = 8487,
  MediaStreamEvent = 8504,
  MediaStreamTrack = 8521,
  MediaStreamTrackAudioSourceNode = 8538,
  MediaStreamTrackEvent = 8570,
  MerchantValidationEvent = 8592,
  MessageBroadcaster = 8616,
  MessageChannel = 8635,
  MessageEvent = 8650,
  MessageListenerManager = 8663,
  MessagePort = 8686,
  MessageSender = 8698,
  MimeType = 8712,
  MimeTypeArray = 8721,
  MouseEvent = 8735,
  MouseScrollEvent = 8746,
  MozCanvasPrintState = 8763,
  MozDocumentMatcher = 8783,
  MozDocumentObserver = 8802,
  MozQueryInterface = 8822,
  MozSharedMap = 8840,
  MozSharedMap_Iterator = 8853,
  MozSharedMapChangeEvent = 8875,
  MozStorageAsyncStatementParams = 8899,
  MozStorageStatementParams = 8930,
  MozStorageStatementRow = 8956,
  MozWritableSharedMap = 8979,
  MutationEvent = 9000,
  MutationObserver = 9014,
  MutationRecord = 9031,
  NamedNodeMap = 9046,
  NavigateEvent = 9059,
  Navigation = 9073,
  NavigationActivation = 9084,
  NavigationCurrentEntryChangeEvent = 9105,
  NavigationDestination = 9139,
  NavigationHistoryEntry = 9161,
  NavigationPreloadManager = 9184,
  NavigationTransition = 9209,
  Navigator = 9230,
  NetworkInformation = 9240,
  Node = 9259,
  NodeFilter = 9264,
  NodeIterator = 9275,
  NodeList = 9288,
  Notification = 9297,
  NotificationEvent = 9310,
  NotifyPaintEvent = 9328,
  OES_draw_buffers_indexed = 9345,
  OES_element_index_uint = 9370,
  OES_fbo_render_mipmap = 9393,
  OES_standard_derivatives = 9415,
  OES_texture_float = 9440,
  OES_texture_float_linear = 9458,
  OES_texture_half_float = 9483,
  OES_texture_half_float_linear = 9506,
  OES_vertex_array_object = 9536,
  OVR_multiview2 = 9560,
  OfflineAudioCompletionEvent = 9575,
  OfflineAudioContext = 9603,
  OffscreenCanvas = 9623,
  OffscreenCanvasRenderingContext2D = 9639,
  Option = 9673,
  OscillatorNode = 9680,
  PageTransitionEvent = 9695,
  PaintRequest = 9715,
  PaintRequestList = 9728,
  PaintWorkletGlobalScope = 9745,
  PannerNode = 9769,
  ParentProcessMessageManager = 9780,
  Path2D = 9808,
  PathUtils = 9815,
  PaymentAddress = 9825,
  PaymentMethodChangeEvent = 9840,
  PaymentRequest = 9865,
  PaymentRequestUpdateEvent = 9880,
  PaymentResponse = 9906,
  PeerConnectionImpl = 9922,
  PeerConnectionObserver = 9941,
  Performance = 9964,
  PerformanceEntry = 9976,
  PerformanceEntryEvent = 9993,
  PerformanceEventTiming = 10015,
  PerformanceMark = 10038,
  PerformanceMeasure = 10054,
  PerformanceNavigation = 10073,
  PerformanceNavigationTiming = 10095,
  PerformanceObserver = 10123,
  PerformanceObserverEntryList = 10143,
  PerformancePaintTiming = 10172,
  PerformanceResourceTiming = 10195,
  PerformanceServerTiming = 10221,
  PerformanceTiming = 10245,
  PeriodicWave = 10263,
  PermissionStatus = 10276,
  Permissions = 10293,
  PlacesBookmark = 10305,
  PlacesBookmarkAddition = 10320,
  PlacesBookmarkChanged = 10343,
  PlacesBookmarkGuid = 10365,
  PlacesBookmarkKeyword = 10384,
  PlacesBookmarkMoved = 10406,
  PlacesBookmarkRemoved = 10426,
  PlacesBookmarkTags = 10448,
  PlacesBookmarkTime = 10467,
  PlacesBookmarkTitle = 10486,
  PlacesBookmarkUrl = 10506,
  PlacesEvent = 10524,
  PlacesEventCounts = 10536,
  PlacesFavicon = 10554,
  PlacesHistoryCleared = 10568,
  PlacesObservers = 10589,
  PlacesPurgeCaches = 10605,
  PlacesRanking = 10623,
  PlacesVisit = 10637,
  PlacesVisitRemoved = 10649,
  PlacesVisitTitle = 10668,
  PlacesWeakCallbackWrapper = 10685,
  Plugin = 10711,
  PluginArray = 10718,
  PluginCrashedEvent = 10730,
  PointerEvent = 10749,
  PopStateEvent = 10762,
  PopupBlockedEvent = 10776,
  PopupPositionedEvent = 10794,
  PositionStateEvent = 10815,
  PrecompiledScript = 10834,
  PrivateAttribution = 10852,
  ProcessMessageManager = 10871,
  ProcessingInstruction = 10893,
  ProgressEvent = 10915,
  PromiseDebugging = 10929,
  PromiseNativeHandler = 10946,
  PromiseRejectionEvent = 10967,
  PublicKeyCredential = 10989,
  PushEvent = 11009,
  PushManager = 11019,
  PushManagerImpl = 11031,
  PushMessageData = 11047,
  PushSubscription = 11063,
  PushSubscriptionChangeEvent = 11080,
  PushSubscriptionOptions = 11108,
  RTCCertificate = 11132,
  RTCDTMFSender = 11147,
  RTCDTMFToneChangeEvent = 11161,
  RTCDataChannel = 11184,
  RTCDataChannelEvent = 11199,
  RTCDtlsTransport = 11219,
  RTCEncodedAudioFrame = 11236,
  RTCEncodedVideoFrame = 11257,
  RTCIceCandidate = 11278,
  RTCIceTransport = 11294,
  RTCIdentityProviderRegistrar = 11310,
  RTCPeerConnection = 11339,
  RTCPeerConnectionIceEvent = 11357,
  RTCPeerConnectionStatic = 11383,
  RTCRtpReceiver = 11407,
  RTCRtpScriptTransform = 11422,
  RTCRtpScriptTransformer = 11444,
  RTCRtpSender = 11468,
  RTCRtpTransceiver = 11481,
  RTCSctpTransport = 11499,
  RTCSessionDescription = 11516,
  RTCStatsReport = 11538,
  RTCTrackEvent = 11553,
  RTCTransformEvent = 11567,
  RadioNodeList = 11585,
  Range = 11599,
  ReadableByteStreamController = 11605,
  ReadableStream = 11634,
  ReadableStream_AsyncIterator = 11649,
  ReadableStreamBYOBReader = 11678,
  ReadableStreamBYOBRequest = 11703,
  ReadableStreamDefaultController = 11729,
  ReadableStreamDefaultReader = 11761,
  Report = 11789,
  ReportBody = 11796,
  ReportingObserver = 11807,
  Request = 11825,
  ResizeObserver = 11833,
  ResizeObserverEntry = 11848,
  ResizeObserverSize = 11868,
  Response = 11887,
  SVGAElement = 11896,
  SVGAngle = 11908,
  SVGAnimateElement = 11917,
  SVGAnimateMotionElement = 11935,
  SVGAnimateTransformElement = 11959,
  SVGAnimatedAngle = 11986,
  SVGAnimatedBoolean = 12003,
  SVGAnimatedEnumeration = 12022,
  SVGAnimatedInteger = 12045,
  SVGAnimatedLength = 12064,
  SVGAnimatedLengthList = 12082,
  SVGAnimatedNumber = 12104,
  SVGAnimatedNumberList = 12122,
  SVGAnimatedPreserveAspectRatio = 12144,
  SVGAnimatedRect = 12175,
  SVGAnimatedString = 12191,
  SVGAnimatedTransformList = 12209,
  SVGAnimationElement = 12234,
  SVGCircleElement = 12254,
  SVGClipPathElement = 12271,
  SVGComponentTransferFunctionElement = 12290,
  SVGDefsElement = 12326,
  SVGDescElement = 12341,
  SVGDiscardElement = 12356,
  SVGElement = 12374,
  SVGEllipseElement = 12385,
  SVGFEBlendElement = 12403,
  SVGFEColorMatrixElement = 12421,
  SVGFEComponentTransferElement = 12445,
  SVGFECompositeElement = 12475,
  SVGFEConvolveMatrixElement = 12497,
  SVGFEDiffuseLightingElement = 12524,
  SVGFEDisplacementMapElement = 12552,
  SVGFEDistantLightElement = 12580,
  SVGFEDropShadowElement = 12605,
  SVGFEFloodElement = 12628,
  SVGFEFuncAElement = 12646,
  SVGFEFuncBElement = 12664,
  SVGFEFuncGElement = 12682,
  SVGFEFuncRElement = 12700,
  SVGFEGaussianBlurElement = 12718,
  SVGFEImageElement = 12743,
  SVGFEMergeElement = 12761,
  SVGFEMergeNodeElement = 12779,
  SVGFEMorphologyElement = 12801,
  SVGFEOffsetElement = 12824,
  SVGFEPointLightElement = 12843,
  SVGFESpecularLightingElement = 12866,
  SVGFESpotLightElement = 12895,
  SVGFETileElement = 12917,
  SVGFETurbulenceElement = 12934,
  SVGFilterElement = 12957,
  SVGForeignObjectElement = 12974,
  SVGGElement = 12998,
  SVGGeometryElement = 13010,
  SVGGradientElement = 13029,
  SVGGraphicsElement = 13048,
  SVGImageElement = 13067,
  SVGLength = 13083,
  SVGLengthList = 13093,
  SVGLineElement = 13107,
  SVGLinearGradientElement = 13122,
  SVGMPathElement = 13147,
  SVGMarkerElement = 13163,
  SVGMaskElement = 13180,
  SVGMatrix = 13195,
  SVGMetadataElement = 13205,
  SVGNumber = 13224,
  SVGNumberList = 13234,
  SVGPathElement = 13248,
  SVGPathSegment = 13263,
  SVGPatternElement = 13278,
  SVGPoint = 13296,
  SVGPointList = 13305,
  SVGPolygonElement = 13318,
  SVGPolylineElement = 13336,
  SVGPreserveAspectRatio = 13355,
  SVGRadialGradientElement = 13378,
  SVGRect = 13403,
  SVGRectElement = 13411,
  SVGSVGElement = 13426,
  SVGScriptElement = 13440,
  SVGSetElement = 13457,
  SVGStopElement = 13471,
  SVGStringList = 13486,
  SVGStyleElement = 13500,
  SVGSwitchElement = 13516,
  SVGSymbolElement = 13533,
  SVGTSpanElement = 13550,
  SVGTextContentElement = 13566,
  SVGTextElement = 13588,
  SVGTextPathElement = 13603,
  SVGTextPositioningElement = 13622,
  SVGTitleElement = 13648,
  SVGTransform = 13664,
  SVGTransformList = 13677,
  SVGUnitTypes = 13694,
  SVGUseElement = 13707,
  SVGViewElement = 13721,
  Sanitizer = 13736,
  Scheduler = 13746,
  Screen = 13756,
  ScreenLuminance = 13763,
  ScreenOrientation = 13779,
  ScriptProcessorNode = 13797,
  ScrollAreaEvent = 13817,
  ScrollViewChangeEvent = 13833,
  SecurityPolicyViolationEvent = 13855,
  Selection = 13884,
  ServiceWorker = 13894,
  ServiceWorkerContainer = 13908,
  ServiceWorkerGlobalScope = 13931,
  ServiceWorkerRegistration = 13956,
  SessionStoreFormData = 13982,
  SessionStoreScrollData = 14003,
  SessionStoreUtils = 14026,
  ShadowRealmGlobalScope = 14044,
  ShadowRoot = 14067,
  SharedWorker = 14078,
  SharedWorkerGlobalScope = 14091,
  SimpleGestureEvent = 14115,
  SourceBuffer = 14134,
  SourceBufferList = 14147,
  SpeechGrammar = 14164,
  SpeechGrammarList = 14178,
  SpeechRecognition = 14196,
  SpeechRecognitionAlternative = 14214,
  SpeechRecognitionError = 14243,
  SpeechRecognitionEvent = 14266,
  SpeechRecognitionResult = 14289,
  SpeechRecognitionResultList = 14313,
  SpeechSynthesis = 14341,
  SpeechSynthesisErrorEvent = 14357,
  SpeechSynthesisEvent = 14383,
  SpeechSynthesisUtterance = 14404,
  SpeechSynthesisVoice = 14429,
  StaticRange = 14450,
  StereoPannerNode = 14462,
  Storage = 14479,
  StorageEvent = 14487,
  StorageManager = 14500,
  StreamFilter = 14515,
  StreamFilterDataEvent = 14528,
  StructuredCloneHolder = 14550,
  StructuredCloneTester = 14572,
  StyleSheet = 14594,
  StyleSheetApplicableStateChangeEvent = 14605,
  StyleSheetList = 14642,
  StyleSheetRemovedEvent = 14657,
  SubmitEvent = 14680,
  SubtleCrypto = 14692,
  SyncMessageSender = 14705,
  SyncReadFile = 14723,
  TCPServerSocket = 14736,
  TCPServerSocketEvent = 14752,
  TCPSocket = 14773,
  TCPSocketErrorEvent = 14783,
  TCPSocketEvent = 14803,
  TaskController = 14818,
  TaskPriorityChangeEvent = 14833,
  TaskSignal = 14857,
  TelemetryStopwatch = 14868,
  TestUtils = 14887,
  TestingDeprecatedInterface = 14897,
  Text = 14924,
  TextClause = 14929,
  TextDecoder = 14940,
  TextDecoderStream = 14952,
  TextEncoder = 14970,
  TextEncoderStream = 14982,
  TextEvent = 15000,
  TextMetrics = 15010,
  TextTrack = 15022,
  TextTrackCue = 15032,
  TextTrackCueList = 15045,
  TextTrackList = 15062,
  TimeEvent = 15076,
  TimeRanges = 15086,
  ToggleEvent = 15097,
  Touch = 15109,
  TouchEvent = 15115,
  TouchList = 15126,
  TrackEvent = 15136,
  TransformStream = 15147,
  TransformStreamDefaultController = 15163,
  TransitionEvent = 15196,
  TreeColumn = 15212,
  TreeColumns = 15223,
  TreeContentView = 15235,
  TreeWalker = 15251,
  TrustedHTML = 15262,
  TrustedScript = 15274,
  TrustedScriptURL = 15288,
  TrustedTypePolicy = 15305,
  TrustedTypePolicyFactory = 15323,
  UDPMessageEvent = 15348,
  UDPSocket = 15364,
  UIEvent = 15374,
  URL = 15382,
  URLSearchParams = 15386,
  URLSearchParams_Iterator = 15402,
  UniFFIPointer = 15427,
  UniFFIScaffolding = 15441,
  UserActivation = 15459,
  UserInteraction = 15474,
  UserProximityEvent = 15490,
  VRDisplay = 15509,
  VRDisplayCapabilities = 15519,
  VRDisplayEvent = 15541,
  VREyeParameters = 15556,
  VRFieldOfView = 15572,
  VRFrameData = 15586,
  VRMockController = 15598,
  VRMockDisplay = 15615,
  VRPose = 15629,
  VRServiceTest = 15636,
  VRStageParameters = 15650,
  VTTCue = 15668,
  VTTRegion = 15675,
  ValidityState = 15685,
  VideoColorSpace = 15699,
  VideoDecoder = 15715,
  VideoEncoder = 15728,
  VideoFrame = 15741,
  VideoPlaybackQuality = 15752,
  VideoTrack = 15773,
  VideoTrackList = 15784,
  ViewTransition = 15799,
  VisualViewport = 15814,
  WEBGL_color_buffer_float = 15829,
  WEBGL_compressed_texture_astc = 15854,
  WEBGL_compressed_texture_etc = 15884,
  WEBGL_compressed_texture_etc1 = 15913,
  WEBGL_compressed_texture_pvrtc = 15943,
  WEBGL_compressed_texture_s3tc = 15974,
  WEBGL_compressed_texture_s3tc_srgb = 16004,
  WEBGL_debug_renderer_info = 16039,
  WEBGL_debug_shaders = 16065,
  WEBGL_depth_texture = 16085,
  WEBGL_draw_buffers = 16105,
  WEBGL_explicit_present = 16124,
  WEBGL_lose_context = 16147,
  WEBGL_provoking_vertex = 16166,
  WGSLLanguageFeatures = 16189,
  WakeLock = 16210,
  WakeLockSentinel = 16219,
  WaveShaperNode = 16236,
  WebExtensionContentScript = 16251,
  WebExtensionPolicy = 16277,
  WebGL2RenderingContext = 16296,
  WebGLActiveInfo = 16319,
  WebGLBuffer = 16335,
  WebGLContextEvent = 16347,
  WebGLFramebuffer = 16365,
  WebGLProgram = 16382,
  WebGLQuery = 16395,
  WebGLRenderbuffer = 16406,
  WebGLRenderingContext = 16424,
  WebGLSampler = 16446,
  WebGLShader = 16459,
  WebGLShaderPrecisionFormat = 16471,
  WebGLSync = 16498,
  WebGLTexture = 16508,
  WebGLTransformFeedback = 16521,
  WebGLUniformLocation = 16544,
  WebGLVertexArrayObject = 16565,
  WebKitCSSMatrix = 16588,
  WebSocket = 16604,
  WebTransport = 16614,
  WebTransportBidirectionalStream = 16627,
  WebTransportDatagramDuplexStream = 16659,
  WebTransportError = 16692,
  WebTransportReceiveStream = 16710,
  WebTransportSendStream = 16736,
  WebrtcGlobalInformation = 16759,
  WheelEvent = 16783,
  Window = 16794,
  WindowClient = 16801,
  WindowContext = 16814,
  WindowGlobalChild = 16828,
  WindowGlobalParent = 16846,
  WindowRoot = 16865,
  Worker = 16876,
  WorkerDebuggerGlobalScope = 16883,
  WorkerGlobalScope = 16909,
  WorkerLocation = 16927,
  WorkerNavigator = 16942,
  WorkerTestUtils = 16958,
  Worklet = 16974,
  WorkletGlobalScope = 16982,
  WritableStream = 17001,
  WritableStreamDefaultController = 17016,
  WritableStreamDefaultWriter = 17048,
  XMLDocument = 17076,
  XMLHttpRequest = 17088,
  XMLHttpRequestEventTarget = 17103,
  XMLHttpRequestUpload = 17129,
  XMLSerializer = 17150,
  XPathEvaluator = 17164,
  XPathExpression = 17179,
  XPathResult = 17195,
  XRBoundedReferenceSpace = 17207,
  XRFrame = 17231,
  XRInputSource = 17239,
  XRInputSourceArray = 17253,
  XRInputSourceEvent = 17272,
  XRInputSourcesChangeEvent = 17291,
  XRPose = 17317,
  XRReferenceSpace = 17324,
  XRReferenceSpaceEvent = 17341,
  XRRenderState = 17363,
  XRRigidTransform = 17377,
  XRSession = 17394,
  XRSessionEvent = 17404,
  XRSpace = 17419,
  XRSystem = 17427,
  XRView = 17436,
  XRViewerPose = 17443,
  XRViewport = 17456,
  XRWebGLLayer = 17467,
  XSLTProcessor = 17480,
  XULCommandEvent = 17494,
  XULElement = 17510,
  XULFrameElement = 17521,
  XULMenuElement = 17537,
  XULPopupElement = 17552,
  XULResizerElement = 17568,
  XULTextElement = 17586,
  XULTreeElement = 17601,
  console = 17616,
  webkitSpeechGrammar = 17624,
  webkitSpeechGrammarList = 17644,
  webkitSpeechRecognition = 17668,
  webkitURL = 17692,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
