// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanNetwerkCache2Metrics_h
#define mozilla_GleanNetwerkCache2Metrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace network {
  /**
   * generated from network.cache_entry_count
   * Number of entries in the cache keyed by cache capacity calculation type. Numbers are sampled periodically, every time 2GB of data is written to the cache.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram NETWORK_CACHE_ENTRY_COUNT.
   */
  constexpr impl::Labeled<impl::CustomDistributionMetric, DynamicLabel> cache_entry_count(3927);

  /**
   * generated from network.cache_entry_count_share
   * Percentage of the entries with the given content type. Numbers are sampled periodically, every time 2GB of data is written to the cache.
   * This metric was generated to correspond to the Legacy Telemetry enumerated histogram NETWORK_CACHE_ENTRY_COUNT_SHARE.
   */
  constexpr impl::Labeled<impl::CustomDistributionMetric, DynamicLabel> cache_entry_count_share(3928);

  /**
   * generated from network.cache_size
   * Cache size in megabytes keyed by cache capacity calculation type. Numbers are sampled periodically, every time 2GB of data is written to the cache.
   * This metric was generated to correspond to the Legacy Telemetry linear histogram NETWORK_CACHE_SIZE.
   */
  constexpr impl::Labeled<impl::MemoryDistributionMetric, DynamicLabel> cache_size(3929);

  /**
   * generated from network.cache_size_share
   * Percentage of the cache size occupied by given content type. Numbers are sampled periodically, every time 2GB of data is written to the cache.
   * This metric was generated to correspond to the Legacy Telemetry enumerated histogram NETWORK_CACHE_SIZE_SHARE.
   */
  constexpr impl::Labeled<impl::CustomDistributionMetric, DynamicLabel> cache_size_share(3930);

  /**
   * generated from network.cache_v2_input_stream_status
   * Final status of the CacheFileInputStream (0=ok, 1=other error, 2=out of memory, 3=disk full, 4=file corrupted, 5=file not found, 6=binding aborted)
   * This metric was generated to correspond to the Legacy Telemetry enumerated histogram NETWORK_CACHE_V2_INPUT_STREAM_STATUS.
   */
  constexpr impl::CustomDistributionMetric cache_v2_input_stream_status(3931);

  /**
   * generated from network.cache_v2_output_stream_status
   * Final status of the CacheFileOutputStream (0=ok, 1=other error, 2=out of memory, 3=disk full, 4=file corrupted, 5=file not found, 6=binding aborted)
   * This metric was generated to correspond to the Legacy Telemetry enumerated histogram NETWORK_CACHE_V2_OUTPUT_STREAM_STATUS.
   */
  constexpr impl::CustomDistributionMetric cache_v2_output_stream_status(3932);

  /**
   * generated from network.disk_cache2_shutdown_clear_private
   * Time spent (ms) during shutdown deleting disk cache v2 for 'clear private data' option
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram NETWORK_DISK_CACHE2_SHUTDOWN_CLEAR_PRIVATE.
   */
  constexpr impl::TimingDistributionMetric disk_cache2_shutdown_clear_private(3933);

  /**
   * generated from network.disk_cache_shutdown_v2
   * Total Time spent (ms) during disk cache shutdown [cache2]
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram NETWORK_DISK_CACHE_SHUTDOWN_V2.
   */
  constexpr impl::TimingDistributionMetric disk_cache_shutdown_v2(3934);

  /**
   * generated from network.http_cache_entry_alive_time
   * Time for which an HTTP cache entry is kept warmed in memory
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram HTTP_CACHE_ENTRY_ALIVE_TIME.
   */
  constexpr impl::TimingDistributionMetric http_cache_entry_alive_time(3935);

  /**
   * generated from network.http_cache_entry_reload_time
   * Time before we reload an HTTP cache entry again to memory
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram HTTP_CACHE_ENTRY_RELOAD_TIME.
   */
  constexpr impl::TimingDistributionMetric http_cache_entry_reload_time(3936);

  /**
   * generated from network.http_cache_entry_reuse_count
   * Reuse count of an HTTP cache entry warmed in memory
   * This metric was generated to correspond to the Legacy Telemetry linear histogram HTTP_CACHE_ENTRY_REUSE_COUNT.
   */
  constexpr impl::CustomDistributionMetric http_cache_entry_reuse_count(3937);
}

} // namespace mozilla::glean

#endif // mozilla_GleanNetwerkCache2Metrics_h
