#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CountQueuingStrategy" "\0"
  /*  2248 */ "CreateOfferRequest" "\0"
  /*  2267 */ "Credential" "\0"
  /*  2278 */ "CredentialsContainer" "\0"
  /*  2299 */ "Crypto" "\0"
  /*  2306 */ "CryptoKey" "\0"
  /*  2316 */ "CustomElementRegistry" "\0"
  /*  2338 */ "CustomEvent" "\0"
  /*  2350 */ "CustomStateSet" "\0"
  /*  2365 */ "DOMException" "\0"
  /*  2378 */ "DOMImplementation" "\0"
  /*  2396 */ "DOMLocalization" "\0"
  /*  2412 */ "DOMMatrix" "\0"
  /*  2422 */ "DOMMatrixReadOnly" "\0"
  /*  2440 */ "DOMParser" "\0"
  /*  2450 */ "DOMPoint" "\0"
  /*  2459 */ "DOMPointReadOnly" "\0"
  /*  2476 */ "DOMQuad" "\0"
  /*  2484 */ "DOMRect" "\0"
  /*  2492 */ "DOMRectList" "\0"
  /*  2504 */ "DOMRectReadOnly" "\0"
  /*  2520 */ "DOMStringList" "\0"
  /*  2534 */ "DOMStringMap" "\0"
  /*  2547 */ "DOMTokenList" "\0"
  /*  2560 */ "DataTransfer" "\0"
  /*  2573 */ "DataTransferItem" "\0"
  /*  2590 */ "DataTransferItemList" "\0"
  /*  2611 */ "DebuggerNotification" "\0"
  /*  2632 */ "DebuggerNotificationObserver" "\0"
  /*  2661 */ "DecompressionStream" "\0"
  /*  2681 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2708 */ "DelayNode" "\0"
  /*  2718 */ "DeprecationReportBody" "\0"
  /*  2740 */ "DeviceAcceleration" "\0"
  /*  2759 */ "DeviceLightEvent" "\0"
  /*  2776 */ "DeviceMotionEvent" "\0"
  /*  2794 */ "DeviceOrientationEvent" "\0"
  /*  2817 */ "DeviceRotationRate" "\0"
  /*  2836 */ "Directory" "\0"
  /*  2846 */ "Document" "\0"
  /*  2855 */ "DocumentFragment" "\0"
  /*  2872 */ "DocumentL10n" "\0"
  /*  2885 */ "DocumentTimeline" "\0"
  /*  2902 */ "DocumentType" "\0"
  /*  2915 */ "DominatorTree" "\0"
  /*  2929 */ "DragEvent" "\0"
  /*  2939 */ "DynamicsCompressorNode" "\0"
  /*  2962 */ "EXT_blend_minmax" "\0"
  /*  2979 */ "EXT_color_buffer_float" "\0"
  /*  3002 */ "EXT_color_buffer_half_float" "\0"
  /*  3030 */ "EXT_depth_clamp" "\0"
  /*  3046 */ "EXT_disjoint_timer_query" "\0"
  /*  3071 */ "EXT_float_blend" "\0"
  /*  3087 */ "EXT_frag_depth" "\0"
  /*  3102 */ "EXT_sRGB" "\0"
  /*  3111 */ "EXT_shader_texture_lod" "\0"
  /*  3134 */ "EXT_texture_compression_bptc" "\0"
  /*  3163 */ "EXT_texture_compression_rgtc" "\0"
  /*  3192 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3223 */ "EXT_texture_norm16" "\0"
  /*  3242 */ "Element" "\0"
  /*  3250 */ "ElementInternals" "\0"
  /*  3267 */ "EncodedAudioChunk" "\0"
  /*  3285 */ "EncodedVideoChunk" "\0"
  /*  3303 */ "ErrorEvent" "\0"
  /*  3314 */ "Event" "\0"
  /*  3320 */ "EventCallbackDebuggerNotification" "\0"
  /*  3354 */ "EventCounts" "\0"
  /*  3366 */ "EventSource" "\0"
  /*  3378 */ "EventTarget" "\0"
  /*  3390 */ "Exception" "\0"
  /*  3400 */ "ExtendableEvent" "\0"
  /*  3416 */ "ExtendableMessageEvent" "\0"
  /*  3439 */ "ExtensionAlarms" "\0"
  /*  3455 */ "ExtensionBrowser" "\0"
  /*  3472 */ "ExtensionBrowserSettings" "\0"
  /*  3497 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3537 */ "ExtensionDns" "\0"
  /*  3550 */ "ExtensionEventManager" "\0"
  /*  3572 */ "ExtensionMockAPI" "\0"
  /*  3589 */ "ExtensionPort" "\0"
  /*  3603 */ "ExtensionProxy" "\0"
  /*  3618 */ "ExtensionRuntime" "\0"
  /*  3635 */ "ExtensionScripting" "\0"
  /*  3654 */ "ExtensionSetting" "\0"
  /*  3671 */ "ExtensionTest" "\0"
  /*  3685 */ "External" "\0"
  /*  3694 */ "FeaturePolicy" "\0"
  /*  3708 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3741 */ "FetchEvent" "\0"
  /*  3752 */ "FetchObserver" "\0"
  /*  3766 */ "File" "\0"
  /*  3771 */ "FileList" "\0"
  /*  3780 */ "FileReader" "\0"
  /*  3791 */ "FileReaderSync" "\0"
  /*  3806 */ "FileSystem" "\0"
  /*  3817 */ "FileSystemDirectoryEntry" "\0"
  /*  3842 */ "FileSystemDirectoryHandle" "\0"
  /*  3868 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3908 */ "FileSystemDirectoryIterator" "\0"
  /*  3936 */ "FileSystemDirectoryReader" "\0"
  /*  3962 */ "FileSystemEntry" "\0"
  /*  3978 */ "FileSystemFileEntry" "\0"
  /*  3998 */ "FileSystemFileHandle" "\0"
  /*  4019 */ "FileSystemHandle" "\0"
  /*  4036 */ "FileSystemSyncAccessHandle" "\0"
  /*  4063 */ "FileSystemWritableFileStream" "\0"
  /*  4092 */ "Flex" "\0"
  /*  4097 */ "FlexItemValues" "\0"
  /*  4112 */ "FlexLineValues" "\0"
  /*  4127 */ "FluentBundle" "\0"
  /*  4140 */ "FluentBundleAsyncIterator" "\0"
  /*  4166 */ "FluentBundleIterator" "\0"
  /*  4187 */ "FluentPattern" "\0"
  /*  4201 */ "FluentResource" "\0"
  /*  4216 */ "FocusEvent" "\0"
  /*  4227 */ "FontFace" "\0"
  /*  4236 */ "FontFaceSet" "\0"
  /*  4248 */ "FontFaceSetIterator" "\0"
  /*  4268 */ "FontFaceSetLoadEvent" "\0"
  /*  4289 */ "FormData" "\0"
  /*  4298 */ "FormData Iterator" "\0"
  /*  4316 */ "FormDataEvent" "\0"
  /*  4330 */ "FragmentDirective" "\0"
  /*  4348 */ "FrameCrashedEvent" "\0"
  /*  4366 */ "FrameLoader" "\0"
  /*  4378 */ "GPU" "\0"
  /*  4382 */ "GPUAdapter" "\0"
  /*  4393 */ "GPUAdapterInfo" "\0"
  /*  4408 */ "GPUBindGroup" "\0"
  /*  4421 */ "GPUBindGroupLayout" "\0"
  /*  4440 */ "GPUBuffer" "\0"
  /*  4450 */ "GPUBufferUsage" "\0"
  /*  4465 */ "GPUCanvasContext" "\0"
  /*  4482 */ "GPUColorWrite" "\0"
  /*  4496 */ "GPUCommandBuffer" "\0"
  /*  4513 */ "GPUCommandEncoder" "\0"
  /*  4531 */ "GPUCompilationInfo" "\0"
  /*  4550 */ "GPUCompilationMessage" "\0"
  /*  4572 */ "GPUComputePassEncoder" "\0"
  /*  4594 */ "GPUComputePipeline" "\0"
  /*  4613 */ "GPUDevice" "\0"
  /*  4623 */ "GPUDeviceLostInfo" "\0"
  /*  4641 */ "GPUError" "\0"
  /*  4650 */ "GPUInternalError" "\0"
  /*  4667 */ "GPUMapMode" "\0"
  /*  4678 */ "GPUOutOfMemoryError" "\0"
  /*  4698 */ "GPUPipelineLayout" "\0"
  /*  4716 */ "GPUQuerySet" "\0"
  /*  4728 */ "GPUQueue" "\0"
  /*  4737 */ "GPURenderBundle" "\0"
  /*  4753 */ "GPURenderBundleEncoder" "\0"
  /*  4776 */ "GPURenderPassEncoder" "\0"
  /*  4797 */ "GPURenderPipeline" "\0"
  /*  4815 */ "GPUSampler" "\0"
  /*  4826 */ "GPUShaderModule" "\0"
  /*  4842 */ "GPUShaderStage" "\0"
  /*  4857 */ "GPUSupportedFeatures" "\0"
  /*  4878 */ "GPUSupportedLimits" "\0"
  /*  4897 */ "GPUTexture" "\0"
  /*  4908 */ "GPUTextureUsage" "\0"
  /*  4924 */ "GPUTextureView" "\0"
  /*  4939 */ "GPUUncapturedErrorEvent" "\0"
  /*  4963 */ "GPUValidationError" "\0"
  /*  4982 */ "GainNode" "\0"
  /*  4991 */ "Gamepad" "\0"
  /*  4999 */ "GamepadAxisMoveEvent" "\0"
  /*  5020 */ "GamepadButton" "\0"
  /*  5034 */ "GamepadButtonEvent" "\0"
  /*  5053 */ "GamepadEvent" "\0"
  /*  5066 */ "GamepadHapticActuator" "\0"
  /*  5088 */ "GamepadLightIndicator" "\0"
  /*  5110 */ "GamepadPose" "\0"
  /*  5122 */ "GamepadServiceTest" "\0"
  /*  5141 */ "GamepadTouch" "\0"
  /*  5154 */ "Geolocation" "\0"
  /*  5166 */ "GeolocationCoordinates" "\0"
  /*  5189 */ "GeolocationPosition" "\0"
  /*  5209 */ "GeolocationPositionError" "\0"
  /*  5234 */ "GetUserMediaRequest" "\0"
  /*  5254 */ "GleanBoolean" "\0"
  /*  5267 */ "GleanCategory" "\0"
  /*  5281 */ "GleanCounter" "\0"
  /*  5294 */ "GleanCustomDistribution" "\0"
  /*  5318 */ "GleanDatetime" "\0"
  /*  5332 */ "GleanDenominator" "\0"
  /*  5349 */ "GleanEvent" "\0"
  /*  5360 */ "GleanImpl" "\0"
  /*  5370 */ "GleanLabeled" "\0"
  /*  5383 */ "GleanMemoryDistribution" "\0"
  /*  5407 */ "GleanMetric" "\0"
  /*  5419 */ "GleanNumerator" "\0"
  /*  5434 */ "GleanObject" "\0"
  /*  5446 */ "GleanPingsImpl" "\0"
  /*  5461 */ "GleanQuantity" "\0"
  /*  5475 */ "GleanRate" "\0"
  /*  5485 */ "GleanString" "\0"
  /*  5497 */ "GleanStringList" "\0"
  /*  5513 */ "GleanText" "\0"
  /*  5523 */ "GleanTimespan" "\0"
  /*  5537 */ "GleanTimingDistribution" "\0"
  /*  5561 */ "GleanUrl" "\0"
  /*  5570 */ "GleanUuid" "\0"
  /*  5580 */ "Grid" "\0"
  /*  5585 */ "GridArea" "\0"
  /*  5594 */ "GridDimension" "\0"
  /*  5608 */ "GridLine" "\0"
  /*  5617 */ "GridLines" "\0"
  /*  5627 */ "GridTrack" "\0"
  /*  5637 */ "GridTracks" "\0"
  /*  5648 */ "HTMLAllCollection" "\0"
  /*  5666 */ "HTMLAnchorElement" "\0"
  /*  5684 */ "HTMLAreaElement" "\0"
  /*  5700 */ "HTMLAudioElement" "\0"
  /*  5717 */ "HTMLBRElement" "\0"
  /*  5731 */ "HTMLBaseElement" "\0"
  /*  5747 */ "HTMLBodyElement" "\0"
  /*  5763 */ "HTMLButtonElement" "\0"
  /*  5781 */ "HTMLCanvasElement" "\0"
  /*  5799 */ "HTMLCollection" "\0"
  /*  5814 */ "HTMLDListElement" "\0"
  /*  5831 */ "HTMLDataElement" "\0"
  /*  5847 */ "HTMLDataListElement" "\0"
  /*  5867 */ "HTMLDetailsElement" "\0"
  /*  5886 */ "HTMLDialogElement" "\0"
  /*  5904 */ "HTMLDirectoryElement" "\0"
  /*  5925 */ "HTMLDivElement" "\0"
  /*  5940 */ "HTMLDocument" "\0"
  /*  5953 */ "HTMLElement" "\0"
  /*  5965 */ "HTMLEmbedElement" "\0"
  /*  5982 */ "HTMLFieldSetElement" "\0"
  /*  6002 */ "HTMLFontElement" "\0"
  /*  6018 */ "HTMLFormControlsCollection" "\0"
  /*  6045 */ "HTMLFormElement" "\0"
  /*  6061 */ "HTMLFrameElement" "\0"
  /*  6078 */ "HTMLFrameSetElement" "\0"
  /*  6098 */ "HTMLHRElement" "\0"
  /*  6112 */ "HTMLHeadElement" "\0"
  /*  6128 */ "HTMLHeadingElement" "\0"
  /*  6147 */ "HTMLHtmlElement" "\0"
  /*  6163 */ "HTMLIFrameElement" "\0"
  /*  6181 */ "HTMLImageElement" "\0"
  /*  6198 */ "HTMLInputElement" "\0"
  /*  6215 */ "HTMLLIElement" "\0"
  /*  6229 */ "HTMLLabelElement" "\0"
  /*  6246 */ "HTMLLegendElement" "\0"
  /*  6264 */ "HTMLLinkElement" "\0"
  /*  6280 */ "HTMLMapElement" "\0"
  /*  6295 */ "HTMLMarqueeElement" "\0"
  /*  6314 */ "HTMLMediaElement" "\0"
  /*  6331 */ "HTMLMenuElement" "\0"
  /*  6347 */ "HTMLMetaElement" "\0"
  /*  6363 */ "HTMLMeterElement" "\0"
  /*  6380 */ "HTMLModElement" "\0"
  /*  6395 */ "HTMLOListElement" "\0"
  /*  6412 */ "HTMLObjectElement" "\0"
  /*  6430 */ "HTMLOptGroupElement" "\0"
  /*  6450 */ "HTMLOptionElement" "\0"
  /*  6468 */ "HTMLOptionsCollection" "\0"
  /*  6490 */ "HTMLOutputElement" "\0"
  /*  6508 */ "HTMLParagraphElement" "\0"
  /*  6529 */ "HTMLParamElement" "\0"
  /*  6546 */ "HTMLPictureElement" "\0"
  /*  6565 */ "HTMLPreElement" "\0"
  /*  6580 */ "HTMLProgressElement" "\0"
  /*  6600 */ "HTMLQuoteElement" "\0"
  /*  6617 */ "HTMLScriptElement" "\0"
  /*  6635 */ "HTMLSelectElement" "\0"
  /*  6653 */ "HTMLSlotElement" "\0"
  /*  6669 */ "HTMLSourceElement" "\0"
  /*  6687 */ "HTMLSpanElement" "\0"
  /*  6703 */ "HTMLStyleElement" "\0"
  /*  6720 */ "HTMLTableCaptionElement" "\0"
  /*  6744 */ "HTMLTableCellElement" "\0"
  /*  6765 */ "HTMLTableColElement" "\0"
  /*  6785 */ "HTMLTableElement" "\0"
  /*  6802 */ "HTMLTableRowElement" "\0"
  /*  6822 */ "HTMLTableSectionElement" "\0"
  /*  6846 */ "HTMLTemplateElement" "\0"
  /*  6866 */ "HTMLTextAreaElement" "\0"
  /*  6886 */ "HTMLTimeElement" "\0"
  /*  6902 */ "HTMLTitleElement" "\0"
  /*  6919 */ "HTMLTrackElement" "\0"
  /*  6936 */ "HTMLUListElement" "\0"
  /*  6953 */ "HTMLUnknownElement" "\0"
  /*  6972 */ "HTMLVideoElement" "\0"
  /*  6989 */ "HashChangeEvent" "\0"
  /*  7005 */ "Headers" "\0"
  /*  7013 */ "Headers Iterator" "\0"
  /*  7030 */ "HeapSnapshot" "\0"
  /*  7043 */ "Highlight" "\0"
  /*  7053 */ "HighlightRegistry" "\0"
  /*  7071 */ "History" "\0"
  /*  7079 */ "IDBCursor" "\0"
  /*  7089 */ "IDBCursorWithValue" "\0"
  /*  7108 */ "IDBDatabase" "\0"
  /*  7120 */ "IDBFactory" "\0"
  /*  7131 */ "IDBIndex" "\0"
  /*  7140 */ "IDBKeyRange" "\0"
  /*  7152 */ "IDBObjectStore" "\0"
  /*  7167 */ "IDBOpenDBRequest" "\0"
  /*  7184 */ "IDBRequest" "\0"
  /*  7195 */ "IDBTransaction" "\0"
  /*  7210 */ "IDBVersionChangeEvent" "\0"
  /*  7232 */ "IIRFilterNode" "\0"
  /*  7246 */ "IOUtils" "\0"
  /*  7254 */ "IdentityCredential" "\0"
  /*  7273 */ "IdleDeadline" "\0"
  /*  7286 */ "Image" "\0"
  /*  7292 */ "ImageBitmap" "\0"
  /*  7304 */ "ImageBitmapRenderingContext" "\0"
  /*  7332 */ "ImageCapture" "\0"
  /*  7345 */ "ImageCaptureError" "\0"
  /*  7363 */ "ImageCaptureErrorEvent" "\0"
  /*  7386 */ "ImageData" "\0"
  /*  7396 */ "ImageDecoder" "\0"
  /*  7409 */ "ImageDocument" "\0"
  /*  7423 */ "ImageTrack" "\0"
  /*  7434 */ "ImageTrackList" "\0"
  /*  7449 */ "InputEvent" "\0"
  /*  7460 */ "InspectorCSSParser" "\0"
  /*  7479 */ "InspectorFontFace" "\0"
  /*  7497 */ "InspectorUtils" "\0"
  /*  7512 */ "InstallTriggerImpl" "\0"
  /*  7531 */ "IntersectionObserver" "\0"
  /*  7552 */ "IntersectionObserverEntry" "\0"
  /*  7578 */ "IntlUtils" "\0"
  /*  7588 */ "InvokeEvent" "\0"
  /*  7600 */ "JSProcessActorChild" "\0"
  /*  7620 */ "JSProcessActorParent" "\0"
  /*  7641 */ "JSWindowActorChild" "\0"
  /*  7660 */ "JSWindowActorParent" "\0"
  /*  7680 */ "KeyEvent" "\0"
  /*  7689 */ "KeyboardEvent" "\0"
  /*  7703 */ "KeyframeEffect" "\0"
  /*  7718 */ "L10nFileSource" "\0"
  /*  7733 */ "L10nOverlays" "\0"
  /*  7746 */ "L10nRegistry" "\0"
  /*  7759 */ "LargestContentfulPaint" "\0"
  /*  7782 */ "LegacyMozTCPSocket" "\0"
  /*  7801 */ "Localization" "\0"
  /*  7814 */ "Location" "\0"
  /*  7823 */ "Lock" "\0"
  /*  7828 */ "LockManager" "\0"
  /*  7840 */ "MIDIAccess" "\0"
  /*  7851 */ "MIDIConnectionEvent" "\0"
  /*  7871 */ "MIDIInput" "\0"
  /*  7881 */ "MIDIInputMap" "\0"
  /*  7894 */ "MIDIMessageEvent" "\0"
  /*  7911 */ "MIDIOutput" "\0"
  /*  7922 */ "MIDIOutputMap" "\0"
  /*  7936 */ "MIDIPort" "\0"
  /*  7945 */ "MLS" "\0"
  /*  7949 */ "MLSGroupView" "\0"
  /*  7962 */ "MOZ_debug" "\0"
  /*  7972 */ "MatchGlob" "\0"
  /*  7982 */ "MatchPattern" "\0"
  /*  7995 */ "MatchPatternSet" "\0"
  /*  8011 */ "MathMLElement" "\0"
  /*  8025 */ "MediaCapabilities" "\0"
  /*  8043 */ "MediaControlService" "\0"
  /*  8063 */ "MediaController" "\0"
  /*  8079 */ "MediaDeviceInfo" "\0"
  /*  8095 */ "MediaDevices" "\0"
  /*  8108 */ "MediaElementAudioSourceNode" "\0"
  /*  8136 */ "MediaEncryptedEvent" "\0"
  /*  8156 */ "MediaError" "\0"
  /*  8167 */ "MediaKeyError" "\0"
  /*  8181 */ "MediaKeyMessageEvent" "\0"
  /*  8202 */ "MediaKeySession" "\0"
  /*  8218 */ "MediaKeyStatusMap" "\0"
  /*  8236 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8263 */ "MediaKeySystemAccess" "\0"
  /*  8284 */ "MediaKeys" "\0"
  /*  8294 */ "MediaList" "\0"
  /*  8304 */ "MediaMetadata" "\0"
  /*  8318 */ "MediaQueryList" "\0"
  /*  8333 */ "MediaQueryListEvent" "\0"
  /*  8353 */ "MediaRecorder" "\0"
  /*  8367 */ "MediaRecorderErrorEvent" "\0"
  /*  8391 */ "MediaSession" "\0"
  /*  8404 */ "MediaSource" "\0"
  /*  8416 */ "MediaStream" "\0"
  /*  8428 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8460 */ "MediaStreamAudioSourceNode" "\0"
  /*  8487 */ "MediaStreamError" "\0"
  /*  8504 */ "MediaStreamEvent" "\0"
  /*  8521 */ "MediaStreamTrack" "\0"
  /*  8538 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamTrackEvent" "\0"
  /*  8592 */ "MerchantValidationEvent" "\0"
  /*  8616 */ "MessageBroadcaster" "\0"
  /*  8635 */ "MessageChannel" "\0"
  /*  8650 */ "MessageEvent" "\0"
  /*  8663 */ "MessageListenerManager" "\0"
  /*  8686 */ "MessagePort" "\0"
  /*  8698 */ "MessageSender" "\0"
  /*  8712 */ "MimeType" "\0"
  /*  8721 */ "MimeTypeArray" "\0"
  /*  8735 */ "MouseEvent" "\0"
  /*  8746 */ "MouseScrollEvent" "\0"
  /*  8763 */ "MozCanvasPrintState" "\0"
  /*  8783 */ "MozDocumentMatcher" "\0"
  /*  8802 */ "MozDocumentObserver" "\0"
  /*  8822 */ "MozQueryInterface" "\0"
  /*  8840 */ "MozSharedMap" "\0"
  /*  8853 */ "MozSharedMap Iterator" "\0"
  /*  8875 */ "MozSharedMapChangeEvent" "\0"
  /*  8899 */ "MozStorageAsyncStatementParams" "\0"
  /*  8930 */ "MozStorageStatementParams" "\0"
  /*  8956 */ "MozStorageStatementRow" "\0"
  /*  8979 */ "MozWritableSharedMap" "\0"
  /*  9000 */ "MutationEvent" "\0"
  /*  9014 */ "MutationObserver" "\0"
  /*  9031 */ "MutationRecord" "\0"
  /*  9046 */ "NamedNodeMap" "\0"
  /*  9059 */ "NavigateEvent" "\0"
  /*  9073 */ "Navigation" "\0"
  /*  9084 */ "NavigationActivation" "\0"
  /*  9105 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9139 */ "NavigationDestination" "\0"
  /*  9161 */ "NavigationHistoryEntry" "\0"
  /*  9184 */ "NavigationPreloadManager" "\0"
  /*  9209 */ "NavigationTransition" "\0"
  /*  9230 */ "Navigator" "\0"
  /*  9240 */ "NetworkInformation" "\0"
  /*  9259 */ "Node" "\0"
  /*  9264 */ "NodeFilter" "\0"
  /*  9275 */ "NodeIterator" "\0"
  /*  9288 */ "NodeList" "\0"
  /*  9297 */ "Notification" "\0"
  /*  9310 */ "NotificationEvent" "\0"
  /*  9328 */ "NotifyPaintEvent" "\0"
  /*  9345 */ "OES_draw_buffers_indexed" "\0"
  /*  9370 */ "OES_element_index_uint" "\0"
  /*  9393 */ "OES_fbo_render_mipmap" "\0"
  /*  9415 */ "OES_standard_derivatives" "\0"
  /*  9440 */ "OES_texture_float" "\0"
  /*  9458 */ "OES_texture_float_linear" "\0"
  /*  9483 */ "OES_texture_half_float" "\0"
  /*  9506 */ "OES_texture_half_float_linear" "\0"
  /*  9536 */ "OES_vertex_array_object" "\0"
  /*  9560 */ "OVR_multiview2" "\0"
  /*  9575 */ "OfflineAudioCompletionEvent" "\0"
  /*  9603 */ "OfflineAudioContext" "\0"
  /*  9623 */ "OffscreenCanvas" "\0"
  /*  9639 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9673 */ "Option" "\0"
  /*  9680 */ "OscillatorNode" "\0"
  /*  9695 */ "PageTransitionEvent" "\0"
  /*  9715 */ "PaintRequest" "\0"
  /*  9728 */ "PaintRequestList" "\0"
  /*  9745 */ "PaintWorkletGlobalScope" "\0"
  /*  9769 */ "PannerNode" "\0"
  /*  9780 */ "ParentProcessMessageManager" "\0"
  /*  9808 */ "Path2D" "\0"
  /*  9815 */ "PathUtils" "\0"
  /*  9825 */ "PaymentAddress" "\0"
  /*  9840 */ "PaymentMethodChangeEvent" "\0"
  /*  9865 */ "PaymentRequest" "\0"
  /*  9880 */ "PaymentRequestUpdateEvent" "\0"
  /*  9906 */ "PaymentResponse" "\0"
  /*  9922 */ "PeerConnectionImpl" "\0"
  /*  9941 */ "PeerConnectionObserver" "\0"
  /*  9964 */ "Performance" "\0"
  /*  9976 */ "PerformanceEntry" "\0"
  /*  9993 */ "PerformanceEntryEvent" "\0"
  /* 10015 */ "PerformanceEventTiming" "\0"
  /* 10038 */ "PerformanceMark" "\0"
  /* 10054 */ "PerformanceMeasure" "\0"
  /* 10073 */ "PerformanceNavigation" "\0"
  /* 10095 */ "PerformanceNavigationTiming" "\0"
  /* 10123 */ "PerformanceObserver" "\0"
  /* 10143 */ "PerformanceObserverEntryList" "\0"
  /* 10172 */ "PerformancePaintTiming" "\0"
  /* 10195 */ "PerformanceResourceTiming" "\0"
  /* 10221 */ "PerformanceServerTiming" "\0"
  /* 10245 */ "PerformanceTiming" "\0"
  /* 10263 */ "PeriodicWave" "\0"
  /* 10276 */ "PermissionStatus" "\0"
  /* 10293 */ "Permissions" "\0"
  /* 10305 */ "PlacesBookmark" "\0"
  /* 10320 */ "PlacesBookmarkAddition" "\0"
  /* 10343 */ "PlacesBookmarkChanged" "\0"
  /* 10365 */ "PlacesBookmarkGuid" "\0"
  /* 10384 */ "PlacesBookmarkKeyword" "\0"
  /* 10406 */ "PlacesBookmarkMoved" "\0"
  /* 10426 */ "PlacesBookmarkRemoved" "\0"
  /* 10448 */ "PlacesBookmarkTags" "\0"
  /* 10467 */ "PlacesBookmarkTime" "\0"
  /* 10486 */ "PlacesBookmarkTitle" "\0"
  /* 10506 */ "PlacesBookmarkUrl" "\0"
  /* 10524 */ "PlacesEvent" "\0"
  /* 10536 */ "PlacesEventCounts" "\0"
  /* 10554 */ "PlacesFavicon" "\0"
  /* 10568 */ "PlacesHistoryCleared" "\0"
  /* 10589 */ "PlacesObservers" "\0"
  /* 10605 */ "PlacesPurgeCaches" "\0"
  /* 10623 */ "PlacesRanking" "\0"
  /* 10637 */ "PlacesVisit" "\0"
  /* 10649 */ "PlacesVisitRemoved" "\0"
  /* 10668 */ "PlacesVisitTitle" "\0"
  /* 10685 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10711 */ "Plugin" "\0"
  /* 10718 */ "PluginArray" "\0"
  /* 10730 */ "PluginCrashedEvent" "\0"
  /* 10749 */ "PointerEvent" "\0"
  /* 10762 */ "PopStateEvent" "\0"
  /* 10776 */ "PopupBlockedEvent" "\0"
  /* 10794 */ "PopupPositionedEvent" "\0"
  /* 10815 */ "PositionStateEvent" "\0"
  /* 10834 */ "PrecompiledScript" "\0"
  /* 10852 */ "PrivateAttribution" "\0"
  /* 10871 */ "ProcessMessageManager" "\0"
  /* 10893 */ "ProcessingInstruction" "\0"
  /* 10915 */ "ProgressEvent" "\0"
  /* 10929 */ "PromiseDebugging" "\0"
  /* 10946 */ "PromiseNativeHandler" "\0"
  /* 10967 */ "PromiseRejectionEvent" "\0"
  /* 10989 */ "PublicKeyCredential" "\0"
  /* 11009 */ "PushEvent" "\0"
  /* 11019 */ "PushManager" "\0"
  /* 11031 */ "PushManagerImpl" "\0"
  /* 11047 */ "PushMessageData" "\0"
  /* 11063 */ "PushSubscription" "\0"
  /* 11080 */ "PushSubscriptionChangeEvent" "\0"
  /* 11108 */ "PushSubscriptionOptions" "\0"
  /* 11132 */ "RTCCertificate" "\0"
  /* 11147 */ "RTCDTMFSender" "\0"
  /* 11161 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11184 */ "RTCDataChannel" "\0"
  /* 11199 */ "RTCDataChannelEvent" "\0"
  /* 11219 */ "RTCDtlsTransport" "\0"
  /* 11236 */ "RTCEncodedAudioFrame" "\0"
  /* 11257 */ "RTCEncodedVideoFrame" "\0"
  /* 11278 */ "RTCIceCandidate" "\0"
  /* 11294 */ "RTCIceTransport" "\0"
  /* 11310 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11339 */ "RTCPeerConnection" "\0"
  /* 11357 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11383 */ "RTCPeerConnectionStatic" "\0"
  /* 11407 */ "RTCRtpReceiver" "\0"
  /* 11422 */ "RTCRtpScriptTransform" "\0"
  /* 11444 */ "RTCRtpScriptTransformer" "\0"
  /* 11468 */ "RTCRtpSender" "\0"
  /* 11481 */ "RTCRtpTransceiver" "\0"
  /* 11499 */ "RTCSctpTransport" "\0"
  /* 11516 */ "RTCSessionDescription" "\0"
  /* 11538 */ "RTCStatsReport" "\0"
  /* 11553 */ "RTCTrackEvent" "\0"
  /* 11567 */ "RTCTransformEvent" "\0"
  /* 11585 */ "RadioNodeList" "\0"
  /* 11599 */ "Range" "\0"
  /* 11605 */ "ReadableByteStreamController" "\0"
  /* 11634 */ "ReadableStream" "\0"
  /* 11649 */ "ReadableStream AsyncIterator" "\0"
  /* 11678 */ "ReadableStreamBYOBReader" "\0"
  /* 11703 */ "ReadableStreamBYOBRequest" "\0"
  /* 11729 */ "ReadableStreamDefaultController" "\0"
  /* 11761 */ "ReadableStreamDefaultReader" "\0"
  /* 11789 */ "Report" "\0"
  /* 11796 */ "ReportBody" "\0"
  /* 11807 */ "ReportingObserver" "\0"
  /* 11825 */ "Request" "\0"
  /* 11833 */ "ResizeObserver" "\0"
  /* 11848 */ "ResizeObserverEntry" "\0"
  /* 11868 */ "ResizeObserverSize" "\0"
  /* 11887 */ "Response" "\0"
  /* 11896 */ "SVGAElement" "\0"
  /* 11908 */ "SVGAngle" "\0"
  /* 11917 */ "SVGAnimateElement" "\0"
  /* 11935 */ "SVGAnimateMotionElement" "\0"
  /* 11959 */ "SVGAnimateTransformElement" "\0"
  /* 11986 */ "SVGAnimatedAngle" "\0"
  /* 12003 */ "SVGAnimatedBoolean" "\0"
  /* 12022 */ "SVGAnimatedEnumeration" "\0"
  /* 12045 */ "SVGAnimatedInteger" "\0"
  /* 12064 */ "SVGAnimatedLength" "\0"
  /* 12082 */ "SVGAnimatedLengthList" "\0"
  /* 12104 */ "SVGAnimatedNumber" "\0"
  /* 12122 */ "SVGAnimatedNumberList" "\0"
  /* 12144 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12175 */ "SVGAnimatedRect" "\0"
  /* 12191 */ "SVGAnimatedString" "\0"
  /* 12209 */ "SVGAnimatedTransformList" "\0"
  /* 12234 */ "SVGAnimationElement" "\0"
  /* 12254 */ "SVGCircleElement" "\0"
  /* 12271 */ "SVGClipPathElement" "\0"
  /* 12290 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12326 */ "SVGDefsElement" "\0"
  /* 12341 */ "SVGDescElement" "\0"
  /* 12356 */ "SVGDiscardElement" "\0"
  /* 12374 */ "SVGElement" "\0"
  /* 12385 */ "SVGEllipseElement" "\0"
  /* 12403 */ "SVGFEBlendElement" "\0"
  /* 12421 */ "SVGFEColorMatrixElement" "\0"
  /* 12445 */ "SVGFEComponentTransferElement" "\0"
  /* 12475 */ "SVGFECompositeElement" "\0"
  /* 12497 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12524 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12552 */ "SVGFEDisplacementMapElement" "\0"
  /* 12580 */ "SVGFEDistantLightElement" "\0"
  /* 12605 */ "SVGFEDropShadowElement" "\0"
  /* 12628 */ "SVGFEFloodElement" "\0"
  /* 12646 */ "SVGFEFuncAElement" "\0"
  /* 12664 */ "SVGFEFuncBElement" "\0"
  /* 12682 */ "SVGFEFuncGElement" "\0"
  /* 12700 */ "SVGFEFuncRElement" "\0"
  /* 12718 */ "SVGFEGaussianBlurElement" "\0"
  /* 12743 */ "SVGFEImageElement" "\0"
  /* 12761 */ "SVGFEMergeElement" "\0"
  /* 12779 */ "SVGFEMergeNodeElement" "\0"
  /* 12801 */ "SVGFEMorphologyElement" "\0"
  /* 12824 */ "SVGFEOffsetElement" "\0"
  /* 12843 */ "SVGFEPointLightElement" "\0"
  /* 12866 */ "SVGFESpecularLightingElement" "\0"
  /* 12895 */ "SVGFESpotLightElement" "\0"
  /* 12917 */ "SVGFETileElement" "\0"
  /* 12934 */ "SVGFETurbulenceElement" "\0"
  /* 12957 */ "SVGFilterElement" "\0"
  /* 12974 */ "SVGForeignObjectElement" "\0"
  /* 12998 */ "SVGGElement" "\0"
  /* 13010 */ "SVGGeometryElement" "\0"
  /* 13029 */ "SVGGradientElement" "\0"
  /* 13048 */ "SVGGraphicsElement" "\0"
  /* 13067 */ "SVGImageElement" "\0"
  /* 13083 */ "SVGLength" "\0"
  /* 13093 */ "SVGLengthList" "\0"
  /* 13107 */ "SVGLineElement" "\0"
  /* 13122 */ "SVGLinearGradientElement" "\0"
  /* 13147 */ "SVGMPathElement" "\0"
  /* 13163 */ "SVGMarkerElement" "\0"
  /* 13180 */ "SVGMaskElement" "\0"
  /* 13195 */ "SVGMatrix" "\0"
  /* 13205 */ "SVGMetadataElement" "\0"
  /* 13224 */ "SVGNumber" "\0"
  /* 13234 */ "SVGNumberList" "\0"
  /* 13248 */ "SVGPathElement" "\0"
  /* 13263 */ "SVGPathSegment" "\0"
  /* 13278 */ "SVGPatternElement" "\0"
  /* 13296 */ "SVGPoint" "\0"
  /* 13305 */ "SVGPointList" "\0"
  /* 13318 */ "SVGPolygonElement" "\0"
  /* 13336 */ "SVGPolylineElement" "\0"
  /* 13355 */ "SVGPreserveAspectRatio" "\0"
  /* 13378 */ "SVGRadialGradientElement" "\0"
  /* 13403 */ "SVGRect" "\0"
  /* 13411 */ "SVGRectElement" "\0"
  /* 13426 */ "SVGSVGElement" "\0"
  /* 13440 */ "SVGScriptElement" "\0"
  /* 13457 */ "SVGSetElement" "\0"
  /* 13471 */ "SVGStopElement" "\0"
  /* 13486 */ "SVGStringList" "\0"
  /* 13500 */ "SVGStyleElement" "\0"
  /* 13516 */ "SVGSwitchElement" "\0"
  /* 13533 */ "SVGSymbolElement" "\0"
  /* 13550 */ "SVGTSpanElement" "\0"
  /* 13566 */ "SVGTextContentElement" "\0"
  /* 13588 */ "SVGTextElement" "\0"
  /* 13603 */ "SVGTextPathElement" "\0"
  /* 13622 */ "SVGTextPositioningElement" "\0"
  /* 13648 */ "SVGTitleElement" "\0"
  /* 13664 */ "SVGTransform" "\0"
  /* 13677 */ "SVGTransformList" "\0"
  /* 13694 */ "SVGUnitTypes" "\0"
  /* 13707 */ "SVGUseElement" "\0"
  /* 13721 */ "SVGViewElement" "\0"
  /* 13736 */ "Sanitizer" "\0"
  /* 13746 */ "Scheduler" "\0"
  /* 13756 */ "Screen" "\0"
  /* 13763 */ "ScreenLuminance" "\0"
  /* 13779 */ "ScreenOrientation" "\0"
  /* 13797 */ "ScriptProcessorNode" "\0"
  /* 13817 */ "ScrollAreaEvent" "\0"
  /* 13833 */ "ScrollViewChangeEvent" "\0"
  /* 13855 */ "SecurityPolicyViolationEvent" "\0"
  /* 13884 */ "Selection" "\0"
  /* 13894 */ "ServiceWorker" "\0"
  /* 13908 */ "ServiceWorkerContainer" "\0"
  /* 13931 */ "ServiceWorkerGlobalScope" "\0"
  /* 13956 */ "ServiceWorkerRegistration" "\0"
  /* 13982 */ "SessionStoreFormData" "\0"
  /* 14003 */ "SessionStoreScrollData" "\0"
  /* 14026 */ "SessionStoreUtils" "\0"
  /* 14044 */ "ShadowRealmGlobalScope" "\0"
  /* 14067 */ "ShadowRoot" "\0"
  /* 14078 */ "SharedWorker" "\0"
  /* 14091 */ "SharedWorkerGlobalScope" "\0"
  /* 14115 */ "SimpleGestureEvent" "\0"
  /* 14134 */ "SourceBuffer" "\0"
  /* 14147 */ "SourceBufferList" "\0"
  /* 14164 */ "SpeechGrammar" "\0"
  /* 14178 */ "SpeechGrammarList" "\0"
  /* 14196 */ "SpeechRecognition" "\0"
  /* 14214 */ "SpeechRecognitionAlternative" "\0"
  /* 14243 */ "SpeechRecognitionError" "\0"
  /* 14266 */ "SpeechRecognitionEvent" "\0"
  /* 14289 */ "SpeechRecognitionResult" "\0"
  /* 14313 */ "SpeechRecognitionResultList" "\0"
  /* 14341 */ "SpeechSynthesis" "\0"
  /* 14357 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14383 */ "SpeechSynthesisEvent" "\0"
  /* 14404 */ "SpeechSynthesisUtterance" "\0"
  /* 14429 */ "SpeechSynthesisVoice" "\0"
  /* 14450 */ "StaticRange" "\0"
  /* 14462 */ "StereoPannerNode" "\0"
  /* 14479 */ "Storage" "\0"
  /* 14487 */ "StorageEvent" "\0"
  /* 14500 */ "StorageManager" "\0"
  /* 14515 */ "StreamFilter" "\0"
  /* 14528 */ "StreamFilterDataEvent" "\0"
  /* 14550 */ "StructuredCloneHolder" "\0"
  /* 14572 */ "StructuredCloneTester" "\0"
  /* 14594 */ "StyleSheet" "\0"
  /* 14605 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14642 */ "StyleSheetList" "\0"
  /* 14657 */ "StyleSheetRemovedEvent" "\0"
  /* 14680 */ "SubmitEvent" "\0"
  /* 14692 */ "SubtleCrypto" "\0"
  /* 14705 */ "SyncMessageSender" "\0"
  /* 14723 */ "SyncReadFile" "\0"
  /* 14736 */ "TCPServerSocket" "\0"
  /* 14752 */ "TCPServerSocketEvent" "\0"
  /* 14773 */ "TCPSocket" "\0"
  /* 14783 */ "TCPSocketErrorEvent" "\0"
  /* 14803 */ "TCPSocketEvent" "\0"
  /* 14818 */ "TaskController" "\0"
  /* 14833 */ "TaskPriorityChangeEvent" "\0"
  /* 14857 */ "TaskSignal" "\0"
  /* 14868 */ "TelemetryStopwatch" "\0"
  /* 14887 */ "TestUtils" "\0"
  /* 14897 */ "TestingDeprecatedInterface" "\0"
  /* 14924 */ "Text" "\0"
  /* 14929 */ "TextClause" "\0"
  /* 14940 */ "TextDecoder" "\0"
  /* 14952 */ "TextDecoderStream" "\0"
  /* 14970 */ "TextEncoder" "\0"
  /* 14982 */ "TextEncoderStream" "\0"
  /* 15000 */ "TextEvent" "\0"
  /* 15010 */ "TextMetrics" "\0"
  /* 15022 */ "TextTrack" "\0"
  /* 15032 */ "TextTrackCue" "\0"
  /* 15045 */ "TextTrackCueList" "\0"
  /* 15062 */ "TextTrackList" "\0"
  /* 15076 */ "TimeEvent" "\0"
  /* 15086 */ "TimeRanges" "\0"
  /* 15097 */ "ToggleEvent" "\0"
  /* 15109 */ "Touch" "\0"
  /* 15115 */ "TouchEvent" "\0"
  /* 15126 */ "TouchList" "\0"
  /* 15136 */ "TrackEvent" "\0"
  /* 15147 */ "TransformStream" "\0"
  /* 15163 */ "TransformStreamDefaultController" "\0"
  /* 15196 */ "TransitionEvent" "\0"
  /* 15212 */ "TreeColumn" "\0"
  /* 15223 */ "TreeColumns" "\0"
  /* 15235 */ "TreeContentView" "\0"
  /* 15251 */ "TreeWalker" "\0"
  /* 15262 */ "TrustedHTML" "\0"
  /* 15274 */ "TrustedScript" "\0"
  /* 15288 */ "TrustedScriptURL" "\0"
  /* 15305 */ "TrustedTypePolicy" "\0"
  /* 15323 */ "TrustedTypePolicyFactory" "\0"
  /* 15348 */ "UDPMessageEvent" "\0"
  /* 15364 */ "UDPSocket" "\0"
  /* 15374 */ "UIEvent" "\0"
  /* 15382 */ "URL" "\0"
  /* 15386 */ "URLSearchParams" "\0"
  /* 15402 */ "URLSearchParams Iterator" "\0"
  /* 15427 */ "UniFFIPointer" "\0"
  /* 15441 */ "UniFFIScaffolding" "\0"
  /* 15459 */ "UserActivation" "\0"
  /* 15474 */ "UserInteraction" "\0"
  /* 15490 */ "UserProximityEvent" "\0"
  /* 15509 */ "VRDisplay" "\0"
  /* 15519 */ "VRDisplayCapabilities" "\0"
  /* 15541 */ "VRDisplayEvent" "\0"
  /* 15556 */ "VREyeParameters" "\0"
  /* 15572 */ "VRFieldOfView" "\0"
  /* 15586 */ "VRFrameData" "\0"
  /* 15598 */ "VRMockController" "\0"
  /* 15615 */ "VRMockDisplay" "\0"
  /* 15629 */ "VRPose" "\0"
  /* 15636 */ "VRServiceTest" "\0"
  /* 15650 */ "VRStageParameters" "\0"
  /* 15668 */ "VTTCue" "\0"
  /* 15675 */ "VTTRegion" "\0"
  /* 15685 */ "ValidityState" "\0"
  /* 15699 */ "VideoColorSpace" "\0"
  /* 15715 */ "VideoDecoder" "\0"
  /* 15728 */ "VideoEncoder" "\0"
  /* 15741 */ "VideoFrame" "\0"
  /* 15752 */ "VideoPlaybackQuality" "\0"
  /* 15773 */ "VideoTrack" "\0"
  /* 15784 */ "VideoTrackList" "\0"
  /* 15799 */ "ViewTransition" "\0"
  /* 15814 */ "VisualViewport" "\0"
  /* 15829 */ "WEBGL_color_buffer_float" "\0"
  /* 15854 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15884 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15913 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15943 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15974 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16004 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16039 */ "WEBGL_debug_renderer_info" "\0"
  /* 16065 */ "WEBGL_debug_shaders" "\0"
  /* 16085 */ "WEBGL_depth_texture" "\0"
  /* 16105 */ "WEBGL_draw_buffers" "\0"
  /* 16124 */ "WEBGL_explicit_present" "\0"
  /* 16147 */ "WEBGL_lose_context" "\0"
  /* 16166 */ "WEBGL_provoking_vertex" "\0"
  /* 16189 */ "WGSLLanguageFeatures" "\0"
  /* 16210 */ "WakeLock" "\0"
  /* 16219 */ "WakeLockSentinel" "\0"
  /* 16236 */ "WaveShaperNode" "\0"
  /* 16251 */ "WebExtensionContentScript" "\0"
  /* 16277 */ "WebExtensionPolicy" "\0"
  /* 16296 */ "WebGL2RenderingContext" "\0"
  /* 16319 */ "WebGLActiveInfo" "\0"
  /* 16335 */ "WebGLBuffer" "\0"
  /* 16347 */ "WebGLContextEvent" "\0"
  /* 16365 */ "WebGLFramebuffer" "\0"
  /* 16382 */ "WebGLProgram" "\0"
  /* 16395 */ "WebGLQuery" "\0"
  /* 16406 */ "WebGLRenderbuffer" "\0"
  /* 16424 */ "WebGLRenderingContext" "\0"
  /* 16446 */ "WebGLSampler" "\0"
  /* 16459 */ "WebGLShader" "\0"
  /* 16471 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16498 */ "WebGLSync" "\0"
  /* 16508 */ "WebGLTexture" "\0"
  /* 16521 */ "WebGLTransformFeedback" "\0"
  /* 16544 */ "WebGLUniformLocation" "\0"
  /* 16565 */ "WebGLVertexArrayObject" "\0"
  /* 16588 */ "WebKitCSSMatrix" "\0"
  /* 16604 */ "WebSocket" "\0"
  /* 16614 */ "WebTransport" "\0"
  /* 16627 */ "WebTransportBidirectionalStream" "\0"
  /* 16659 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16692 */ "WebTransportError" "\0"
  /* 16710 */ "WebTransportReceiveStream" "\0"
  /* 16736 */ "WebTransportSendStream" "\0"
  /* 16759 */ "WebrtcGlobalInformation" "\0"
  /* 16783 */ "WheelEvent" "\0"
  /* 16794 */ "Window" "\0"
  /* 16801 */ "WindowClient" "\0"
  /* 16814 */ "WindowContext" "\0"
  /* 16828 */ "WindowGlobalChild" "\0"
  /* 16846 */ "WindowGlobalParent" "\0"
  /* 16865 */ "WindowRoot" "\0"
  /* 16876 */ "Worker" "\0"
  /* 16883 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16909 */ "WorkerGlobalScope" "\0"
  /* 16927 */ "WorkerLocation" "\0"
  /* 16942 */ "WorkerNavigator" "\0"
  /* 16958 */ "WorkerTestUtils" "\0"
  /* 16974 */ "Worklet" "\0"
  /* 16982 */ "WorkletGlobalScope" "\0"
  /* 17001 */ "WritableStream" "\0"
  /* 17016 */ "WritableStreamDefaultController" "\0"
  /* 17048 */ "WritableStreamDefaultWriter" "\0"
  /* 17076 */ "XMLDocument" "\0"
  /* 17088 */ "XMLHttpRequest" "\0"
  /* 17103 */ "XMLHttpRequestEventTarget" "\0"
  /* 17129 */ "XMLHttpRequestUpload" "\0"
  /* 17150 */ "XMLSerializer" "\0"
  /* 17164 */ "XPathEvaluator" "\0"
  /* 17179 */ "XPathExpression" "\0"
  /* 17195 */ "XPathResult" "\0"
  /* 17207 */ "XRBoundedReferenceSpace" "\0"
  /* 17231 */ "XRFrame" "\0"
  /* 17239 */ "XRInputSource" "\0"
  /* 17253 */ "XRInputSourceArray" "\0"
  /* 17272 */ "XRInputSourceEvent" "\0"
  /* 17291 */ "XRInputSourcesChangeEvent" "\0"
  /* 17317 */ "XRPose" "\0"
  /* 17324 */ "XRReferenceSpace" "\0"
  /* 17341 */ "XRReferenceSpaceEvent" "\0"
  /* 17363 */ "XRRenderState" "\0"
  /* 17377 */ "XRRigidTransform" "\0"
  /* 17394 */ "XRSession" "\0"
  /* 17404 */ "XRSessionEvent" "\0"
  /* 17419 */ "XRSpace" "\0"
  /* 17427 */ "XRSystem" "\0"
  /* 17436 */ "XRView" "\0"
  /* 17443 */ "XRViewerPose" "\0"
  /* 17456 */ "XRViewport" "\0"
  /* 17467 */ "XRWebGLLayer" "\0"
  /* 17480 */ "XSLTProcessor" "\0"
  /* 17494 */ "XULCommandEvent" "\0"
  /* 17510 */ "XULElement" "\0"
  /* 17521 */ "XULFrameElement" "\0"
  /* 17537 */ "XULMenuElement" "\0"
  /* 17552 */ "XULPopupElement" "\0"
  /* 17568 */ "XULResizerElement" "\0"
  /* 17586 */ "XULTextElement" "\0"
  /* 17601 */ "XULTreeElement" "\0"
  /* 17616 */ "console" "\0"
  /* 17624 */ "webkitSpeechGrammar" "\0"
  /* 17644 */ "webkitSpeechGrammarList" "\0"
  /* 17668 */ "webkitSpeechRecognition" "\0"
  /* 17692 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

